Skip to main content
GET
/
mailbox
/
folders
/
changes
Get folder changes
curl --request GET \
  --url https://app.sendmux.ai/api/v1/mailbox/folders/changes \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": {
    "old_state": "<string>",
    "new_state": "<string>",
    "has_more": true,
    "created": [
      "<string>"
    ],
    "updated": [
      "<string>"
    ],
    "destroyed": [
      "<string>"
    ],
    "updated_properties": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sendmux.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Query Parameters

since_state
string
limit
integer
Required range: 1 <= x <= 500

Response

Folder changes

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object
required